%define name perl-Data-Flow
%define realname Data-Flow
%define version 0.09
%define release %mkrel 3

Summary:	Data-Flow module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Data-Flow module for perl

%prep

%setup -q -n %{realname}-%{version} 

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Data/Flow.pm
%{perl_vendorlib}/auto/Data/Flow/autosplit.ix
%{_mandir}/*/*



%changelog
* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.09-3mdv2008.1
+ Revision: 135831
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.09-3mdv2008.0
+ Revision: 67484
- buildrequires obsoletes buildprereq


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.09-3mdv2007.0
- rebuild

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.09-2mdk
- rebuild

* Wed Jun 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.09-1mdk
- initial package

